package com.bonus.core.allocation.advise.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("alloc_page_decoration")
@ApiModel("页面装修表")
public class AllocPageDecoration {
   @TableId
   @ApiModelProperty("主键id")
   private Long decorationId;
   @ApiModelProperty("位置id")
   private Integer positionId;
   @ApiModelProperty("功能标识")
   private Integer functionId;
   @ApiModelProperty("功能名称")
   private String functionName;
   @ApiModelProperty("数据类型")
   private Integer functionType;
   @ApiModelProperty("内容类型")
   private Integer contentType;
   @ApiModelProperty("适用页面")
   private Integer applyPage;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getDecorationId() {
      return this.decorationId;
   }

   public Integer getPositionId() {
      return this.positionId;
   }

   public Integer getFunctionId() {
      return this.functionId;
   }

   public String getFunctionName() {
      return this.functionName;
   }

   public Integer getFunctionType() {
      return this.functionType;
   }

   public Integer getContentType() {
      return this.contentType;
   }

   public Integer getApplyPage() {
      return this.applyPage;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setDecorationId(final Long decorationId) {
      this.decorationId = decorationId;
   }

   public void setPositionId(final Integer positionId) {
      this.positionId = positionId;
   }

   public void setFunctionId(final Integer functionId) {
      this.functionId = functionId;
   }

   public void setFunctionName(final String functionName) {
      this.functionName = functionName;
   }

   public void setFunctionType(final Integer functionType) {
      this.functionType = functionType;
   }

   public void setContentType(final Integer contentType) {
      this.contentType = contentType;
   }

   public void setApplyPage(final Integer applyPage) {
      this.applyPage = applyPage;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
